function [X, val, u, l,  e,S] = weighted_kdc_cvx(W, k)

% Formulates and solves our SDP relaxation of the weighed
% k-disjoint-clique problem using CVX.

n = length(W);
b = ones(n,1);


cvx_begin    
    variable X(n,n)
    dual variable l;
    dual variable u;
    dual variable e;
    dual variable S;
    
    maximize trace(W*X)
    subject to    
        l: X*b <= b;
        S: X == semidefinite(n);
        u: trace(X) == k;         
        e: X >= 0;
cvx_end

val = trace(W*X);